Jump to content

Schlongs of Skyrim SE 1.1.4

   (14 reviews)

3 Screenshots

About This File

Schlongs of Skyrim SE is a SSE port of Schlongs of Skyrim by VectorPlexus, Smurf and b3lisario. All credit goes to the original mod authors.

 

 

Requirements:

  • Skyrim SE v1.5.97
  • SKSE64 v2.0.17
  • SkyUI v5.2SE +
  • XPMSSE v4.51 + (optional but highly recommended)

 

 

Troubleshooting:

Installation/updating/uninstalling is identical with the original mod. If you encounter problems, the Oldrim SoS thread has tonnes of useful info on its front page and almost all of it still applies to SoS SE. The use of Mod Organizer SE is strongly suggested, NMM (other than being superseded by Vortex and no longer supported) seems to cause more trouble than it's worth.

 

Common issues:

  • missing textures/missing schlong: wrong load order and/or something overwrote something it shouldn't have
  • DLL is missing or reported to be the wrong version: mismatch between SKSE64 and SoS SE; see the requirements at the top of the page
  • CTDs, freezes or infinite loading screens: post the Papyrus and SoS SE logs in this thread; instructions on how to get to those are on the old SoS page

 

 

Accessories:

VR:

  • download and install using your favourite mod manager.

HDT-SMP:

  • HDT-SMP conversion by DykkenTomb (using collision branches by cOJzZ and Senpo) can be downloaded from the link below; install using your favourite mod manager. Schlongs_of_Skyrim_SE_HDT-SMP - v1.1.rar

Textures:

 

 

For feature requests and development updates, see this thread.


What's New in Version 1.1.4

Released

  • Updated for SKSE 2.0.17 (runtime 1.5.97)


User Feedback

You may only provide a review once you have downloaded the file.


dmbdany53

   533 of 543 members found this review helpful 533 / 543 members

Needs updating for the new SKSE release for the anniversary edition

Link to review
Balbanes

   167 of 177 members found this review helpful 167 / 177 members

Update for AE is needed

Link to review
bonerpetite

   106 of 113 members found this review helpful 106 / 113 members

Unusable right now without compatibility for the AE SKSE :(

Link to review
TheG427

   67 of 73 members found this review helpful 67 / 73 members

Hey everyone, I'll say this, I am not the author of this mod, I didn't even post it here. However, I will say this though, AE has been out less than a month, these mods take time to get updated, I mean even Sexlab Framework took almost 3 weeks to get updated and that was probably with all of them working their butts of to get it working for AE. I'm sure these guys are working on getting this up and running for AE, they most likely just haven't said anything yet because they're busy working on it, let's just give it some time, monitor the page, at this point yes, I'm sure they are well aware that they need to update it, so let's just give them time to do it. It might take a while to do this kind of nuanced work, we can check back every week or so, that's what I've been doing. Yes, we want to see our dongs flopping around all over the place (lol) but these updates can take some time, let's give that time to the guys that actually know how to update this stuff since we obviously don't know how lol. And it's also highly possible that the true author of this page straight up just doesn't even look at this anymore too, the last update to this was literally released 2 years ago, it could also be a dead mod because the op just doesn't play skyrim anymore, and that's perfectly fine, the original sos needed to be replaced by this one from someone new, that might be the same case here, let's just give it time.

Link to review
Storn

· Edited by Storn

   54 of 59 members found this review helpful 54 / 59 members

A new schlongsofskyrim.dll file has been uploaded that is compatible with AE. Just replace the file in your skse/plugins folder. I've tested it out briefly and am currently playing with it without issue. You can get it here

 

Link to review
cowboyorange

   27 of 34 members found this review helpful 27 / 34 members

listen this is an amazing mod and probably the best and most widely accessible peen mod out there. I know this is an oldrim port, but could you or SOMEONE update this to make it useable for the anniversary edition??? If not, someone please recommend a replacement because my saves are unplayable right now 

Link to review
o0shamus0o

   25 of 32 members found this review helpful 25 / 32 members

Needs updating for the new SKSE preliminary

Link to review
CirnoNeuron

   5 of 13 members found this review helpful 5 / 13 members

Awesome when it worked, Needs an update now

Link to review
motormouth

   3 of 8 members found this review helpful 3 / 8 members

Proper solid mod. Probably difficult to install for folk that haven't fucked around with modding before, but it works beautifully.

 

Note: Needs update in order to work with the new version of SKSE for Skyrim AE

Link to review
FlaresLight

   2 of 7 members found this review helpful 2 / 7 members

Someone needs to take this mod and update it for the public to use because i do not believe the owner is coming back to update it. OR someone should make another mod similar to this one and make it better. I wish modders took the time to look back on their old creations from time to time and build on it. ive seen a lot of mods go straight to storage collecting dust and never being touched again.

Link to review
Angelsoulking

   3 of 11 members found this review helpful 3 / 11 members

Someone should make a new version of Schlongs for Skyrim AE

Link to review
Chakaw

   0 of 8 members found this review helpful 0 / 8 members

Hi, I can't download it, there's always an error when downloading, any suggestions?

 

Link to review
×
×
  • Create New...